%define __libtoolize :

Name: mm
Version: 1.1.3
Summary: A shared memory library.
Release: 11
Group: System Environment/Libraries
URL: http://www.engelschall.com/sw/mm/
Source0: http://www.engelschall.com/sw/mm/mm-%{version}.tar.gz
Patch0: mm-1.1.3-tmpfile.dif
Patch1: mm-1.1.3-stdpaths.patch
License: Apache Software License
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The MM library provides an abstraction layer which allows related
processes to easily share data using shared memory.

%package devel
Summary: Files needed for developing applications which use the MM library.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The MM library provides an abstraction layer which allows related
processes to easily share data using shared memory.  The mm-devel
package contains header files and static libraries for use when
developing applications which will use the MM library.

%prep
%setup0 -q
%patch0 -p1 -b .tmpfile
%patch1 -p1 -b .stdpaths

%build
CFLAGS="$RPM_OPT_FLAGS -fPIC" ; export CFLAGS
%configure --with-shm=IPCSHM --with-sem=FCNTL
make
./mm_test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%makeinstall
# Fixup permissions on shared libraries so that findreqs will work right.
chmod 755 $RPM_BUILD_ROOT/%{_libdir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc LICENSE README PORTING THANKS
%attr(0755,root,root) %{_libdir}/*.so.*.*

%files devel
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_mandir}/*/*

%changelog
* Wed Dec  4 2002 Joe Orton <jorton@redhat.com> 1.1.3-11
- rebuild in correct environment

* Thu Nov  7 2002 Joe Orton <jorton@redhat.com> 1.1.3-9
- revert back to using ipcshm/fcntl (#74543, #74496)

* Wed Jul 24 2002 Nalin Dahyabhai <nalin@redhat.com> 1.1.3-8
- incorporate fix for opening of temporary files with incorrect flags from
  Marcus Meissner
- don't advertise standard locations from mm-config (#59504)
- set semaphore ownerships when changing shared memory ownerships (#68896)
- force use of ipcshm/ipcsem (default is ipcshm/fcntl) (#68895)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 17 2002 Nalin Dahyabhai <nalin@redhat.com> 1.1.3-5
- rebuild in new environment

* Fri Feb 22 2002 Nalin Dahyabhai <nalin@redhat.com> 1.1.3-4
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Nov 16 2001 Nalin Dahyabhai <nalin@redhat.com> 1.1.3-2
- create install directories before attempting make install
- rebuild for RHL 7.1 and 7

* Fri Jul 12 2001 Nalin Dahyabhai <nalin@redhat.com> 1.1.3-1
- initial package
